Subject: Re: bug#39822: 27.0.90; Cannot set *Completions* buffer height using display-buffer-alist

From: Juri Linkov <[email-masked]>
Date: Fri, 06 Mar 2020 01:43:38 +0200

> 'display-buffer--maybe-at-bottom' handles this by using
>
>   (let ((alist (append alist `(,(if temp-buffer-resize-mode
> 		                    '(window-height . resize-temp-buffer-window)
> 	                          '(window-height . fit-window-to-buffer))
> 	                       ,(when temp-buffer-resize-mode
> 	                          '(preserve-size . (nil . t)))))))
>
> The question is now whether we want to do that in one place (that is, in
> the temporary buffer setup and show functions) or in many places (like
> in the buffer display action functions).

It seems better to handle the temp-buffer setup in the buffer display action
functions (currently there are two such functions that handle temp-buffer:
'display-buffer--maybe-at-bottom' and 'display-buffer-in-direction'),
if this will help to get rid of monstrous macro 'with-displayed-buffer-window'.